
Redmine - Feature #1800

Changelog creator

2008-08-19 17:20 - Jean-Pierre Schober

Status: New Start date: 2008-08-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be nice to have Redmine assisting you in creating a changelog. Currently I can use the Roadmap to get all closed tickets, for

example. While this may be sufficient for some cases I think it is common that you have

a) many cases where you close tickets for futures releases today and want them in the next changelog nevertheless

b) you have no ticket at all for a changeset.

It would be nice to have some kind of changelog generator:

You specify the start and end revision and Redmine gets a list of all tickets that where closed in this revision range and creates a

nice formatted wiki page for this (for example). Additionally Redmine could place all non ticket related changesets at the end of the

list. This would be a nice starting point for managing the changelog.

Related issues:

Related to Redmine - Feature #7043: Give user ability to generate changelogs Closed 2010-12-04

Related to Redmine - Feature #36679: Export a version as changelog text Closed

History

#1 - 2008-08-20 02:27 - Mischa The Evil

Have you tried the already available changelog-function of Redmine (i.e. http://www.redmine.org/projects/changelog/redmine)?

This function provides an easy way of seeing what tickets have been closed against which versions (versions which can be defined and configured

per project by yourself).

Jean-Pierre Schober wrote:

a) many cases where you close tickets for futures releases today and want them in the next changelog nevertheless

 The above-mentioned changelog lists afaik all the available versions which contains closed issues.

Jean-Pierre Schober wrote:

b) you have no ticket at all for a changeset.

 I personally always try to avoid such situation. That is imho the moment (besides the eventual commit-log) where you loose control over your code.

Do you (or worse, your successor) know several months later why in that commit line xxx has changed?

I always try to follow the principle of one issue per commit. That provides me of detailed info why such a line changed. This works at least best for

me... :-)

#2 - 2008-08-20 09:14 - Jean-Pierre Schober

Mischa The Evil wrote:

Have you tried the already available changelog-function of Redmine (i.e. http://www.redmine.org/projects/changelog/redmine)?

 I know this function and it works great as long as you can ensure that every closed ticket doesn't belong to future version. For me it is quite common

that we close tickets for release 1.1 for example while we are working on 1.0. Ideally you would change the ticket's version target from 1.1 to 1.0, but -

you know - that's not always the case.

So the bug fixed today occurs in the changelog of 1.1 and I must work manually through the changesets to get the correct list. This step could be

supported by Redmine. But perhaps this is only an edge case only relevant for me. If some more people may find this useful I would volunteer to

create a patch for this functionallity.

Jean-Pierre Schober wrote:

b) you have no ticket at all for a changeset.
 I personally always try to avoid such situation. That is imho the moment (besides the eventual commit-log) where you loose control over your

code. Do you (or worse, your successor) know several months later why in that commit line xxx has changed?

 I totally agree with you. But especially if you start a project or implement big features we have many times no ticket for a changeset.

#3 - 2011-12-07 16:11 - Etienne Massip

- Category set to Roadmap

#4 - 2012-10-28 19:18 - Daniel Felix

+1 from me!

Would be quite useful for bigger projects (like Redmine too).

#5 - 2018-10-03 04:56 - Go MAEDA

Redmine has a script to generate Redmine's changelog. Maybe it can be used for your projects if you modify it.

Please see source:trunk/bin/changelog.rb

#6 - 2022-02-21 14:21 - Go MAEDA

- Related to Feature #36679: Export a version as changelog text added
